Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Class TimedObjectId

    java.lang.Object
      org.jboss.ejb.txtimer.TimedObjectId

All Implemented Interfaces:
  Serializable

public class TimedObjectId
extends Object
implements Serializable

The combined TimedObjectId consists of a String that identifies the "class" of the TimedObject and optionally an instance primary key object.

When the TimedObject is an EJB deployed on JBoss, the containerId is the JMX name of the component, and the instancePk is the entity's primary key. If the component is not an entity, the instancePk should be null.

Since:
  09-Apr-2004
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Constructor Summary
`TimedObjectId(javax.management.ObjectName timedObjectId)` Construct a TimedObjectId
`TimedObjectId(javax.management.ObjectName containerId, Object instancePk)` Construct a combined TimedObjectId

Method Summary
`boolean` | `equals(Object obj)`
`javax.management.ObjectName` | `getContainerId()`
`Object` | `getInstancePk()`
`int` | `hashCode()`
`static TimedObjectId` | `parse(String externalForm)` Parse the timed object id from external form.
`String` | `toExternalForm()` Returns the external representation of the TimedObjectId.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimedObjectId

    public TimedObjectId(javax.management.ObjectName containerId,
                         Object instancePk)

  Construct a combined TimedObjectId

Parameters:
  `containerId` - The TimedObject identifier
  `instancePk` - The TimedObject instance identifier, can be null

### TimedObjectId

    public TimedObjectId(javax.management.ObjectName timedObjectId)

  Construct a TimedObjectId

Parameters:
  `timedObjectId` - The TimedObject identifier

Method Detail

### getContainerId

    public javax.management.ObjectName getContainerId()

### getInstancePk

    public Object getInstancePk()

### parse

    public static TimedObjectId parse(String externalForm)

  Parse the timed object id from external form. "[id=contatinerId,pk=instancePk]"

### toExternalForm

    public String toExternalForm()

  Returns the external representation of the TimedObjectId. "[id=contatinerId,pk=instancePk]"

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object obj)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.